Obter publicação
curl --request GET \
--url https://api.olie.ai/api/management/form-publications/{form_publication} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olie.ai/api/management/form-publications/{form_publication}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olie.ai/api/management/form-publications/{form_publication}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": true,
"form_publication": {
"id": "01a0cb22-5af9-7290-a243-736378cb5350",
"title": "Inscrição - Workshop de Processos",
"description": "Preencha para garantir sua vaga.",
"background_color": "#1E40AF",
"starts_at": null,
"ends_at": "2026-12-31 23:59:59",
"redirect_url": "https://exemplo.com.br/obrigado",
"token": "e867fd11-bf8d-4b10-b8a0-77deae294392",
"status": "published",
"form_id": 70,
"frame_id": "01a0252b-d865-71af-a0a2-d4e168d1ffe5",
"created_at": "2026-09-22T22:00:21.000000Z",
"updated_at": "2026-09-22T22:01:18.000000Z",
"deleted_at": null,
"create_project": 0,
"link_as_media": false,
"link_as_loose_form": false,
"project_name": null,
"form_edge_id": null,
"project_template_id": null,
"funnel_step_id": null,
"type": "publication",
"created_by": null,
"project_template": null,
"form_edge": null,
"form": {
"id": 70,
"title": "Doc Postman - Inscrição em evento",
"frame_id": "01a0252b-d865-71af-a0a2-d4e168d1ffe5",
"created_at": "2026-09-22T22:00:15.000000Z",
"updated_at": "2026-09-22T22:00:15.000000Z",
"deleted_at": null,
"edges": [
{
"id": 115,
"type": "short_text",
"label": "Nome completo",
"index": 0,
"help_text": null,
"description": null,
"options": [],
"initial_value": null,
"required": true,
"custom_validation": null,
"conditional": null,
"form_id": 70,
"created_at": "2026-09-22T22:00:15.000000Z",
"updated_at": "2026-09-22T22:00:15.000000Z",
"deleted_at": null,
"is_multiple": false,
"logical_operator": "and",
"is_migrated": false,
"conditional_action": null
},
{
"id": 116,
"type": "email",
"label": "E-mail",
"index": 1,
"help_text": null,
"description": null,
"options": [],
"initial_value": null,
"required": true,
"custom_validation": null,
"conditional": null,
"form_id": 70,
"created_at": "2026-09-22T22:00:15.000000Z",
"updated_at": "2026-09-22T22:00:15.000000Z",
"deleted_at": null,
"is_multiple": false,
"logical_operator": "and",
"is_migrated": false,
"conditional_action": null
},
{
"id": 117,
"type": "phone",
"label": "Telefone",
"index": 2,
"help_text": null,
"description": null,
"options": [],
"initial_value": null,
"required": false,
"custom_validation": null,
"conditional": null,
"form_id": 70,
"created_at": "2026-09-22T22:00:15.000000Z",
"updated_at": "2026-09-22T22:00:15.000000Z",
"deleted_at": null,
"is_multiple": false,
"logical_operator": "and",
"is_migrated": false,
"conditional_action": null
},
{
"id": 118,
"type": "select",
"label": "Como conheceu o evento",
"index": 3,
"help_text": null,
"description": null,
"options": [
"Indicação",
"Redes sociais",
"Site"
],
"initial_value": null,
"required": false,
"custom_validation": null,
"conditional": null,
"form_id": 70,
"created_at": "2026-09-22T22:00:15.000000Z",
"updated_at": "2026-09-22T22:00:15.000000Z",
"deleted_at": null,
"is_multiple": false,
"logical_operator": "and",
"is_migrated": false,
"conditional_action": null
}
]
}
}
}{
"response": false,
"message": "form_publication_model_not_found",
"error": "No query results for model [App\\Models\\FormPublication]."
}form-publications
Obter publicação
Retorna a configuração completa de uma publicação, com o formulário publicado (só os campos respondíveis em link público), o modelo de projeto e o campo usado para nomear o projeto criado.
GET
/
api
/
management
/
form-publications
/
{form_publication}
Obter publicação
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID (UUID) da publicação de formulário.
Was this page helpful?